[Wine] Can't get JRE 1.6U18 to run

James McKenzie jjmckenzie51 at earthlink.net
Sun Jan 31 18:16:13 CST 2010

linker3000 wrote:
> Hi, 
> I have installed WINE 1.1.32 on fedora 12 and I am trying to get Sun Java JRE running but have a few issues:
> If I pick up the JRE installer .EXE file, it fails to install and this seems to be down to a heap space allocation error. I have found a few posts around the Internet about this but nothing gets me towards a fix.
> What I am actually trying to do is run a jnlp installer package and if I do this manually with "wine java package.jnlp" I get:
> fixme:actctx:parse_depend_manifests Could not find dependent assembly L"Microsoft.Windows.Common-Controls" (
This is specific to .NET or Microsoft's interpetation of Java.  The
applications database and winetricks have methods of installing this
package.  I don't know which one you need, but I would try .NET 2.0 and
then .NET 3.0.  .NET 3.5 may be installable as well.
> I have used winetricks to install some MS components, including 'Common controls' but without much success. 
> Unfortunately, the developers of the java app have made it very Windows-centric (eg: It checks values in the Registry) and so running it natively on Linux is not going to work.
I would get another Java application as they are supposed to be
'Operating System' neutral.  Swing and AWT give the same functionality,
if not better, than using .NET.

James McKenzie

More information about the wine-users mailing list